group "EquityExpiration.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
(equityExpirationTimeType?, equityExpirationTime?) | expirationTimeDetermination?

Content Model Elements (3):

  equityExpirationTime, equityExpirationTimeType, expirationTimeDetermination

Known Usage Locations

- In definitions of global complexTypes (3):
  EquityAmericanExercise, EquityBermudaExercise, EquityEuropeanExercise

Annotation
Choice between expiration expressed as symbolic and optional literal time, or using a determination method.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="EquityExpiration.model"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="equityExpirationTimeType" type="TimeTypeEnum"/> <xsd:element minOccurs="0" name="equityExpirationTime" type="BusinessCenterTime"/> </xsd:sequence> <xsd:element minOccurs="0" name="expirationTimeDetermination" type="DeterminationMethod"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
equityExpirationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day at which the equity option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityExpirationTime" type="BusinessCenterTime"/>

equityExpirationTimeType

  Type: | TimeTypeEnum, simple content

  The time of day at which the equity option expires, for example the official closing time of the exchange.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Close" | - | The official closing time of the exchange on the valuation date. See: http://www.FpML.org
  "Open" | - | The official opening time of the exchange on the valuation date. See: http://www.FpML.org
  "OSP" | - | The time at which the official settlement price is determined. See: http://www.FpML.org
  "SpecificTime" | - | The time specified in the element equityExpirationTime or valuationTime (as appropriate) See: http://www.FpML.org
  "XETRA" | - | The time at which the official settlement price (following the auction by the exchange) is determined by the exchange. See: http://www.FpML.org
  "DerivativesClose" | - | The official closing time of the derivatives exchange on which a derivative contract is listed on that security underlyer. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The time is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityExpirationTimeType" type="TimeTypeEnum"/>

expirationTimeDetermination

  Type: | DeterminationMethod, simple content

  Expiration time determination method.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTimeDetermination" type="DeterminationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.